/*
 * MBIC_Bootloader.c
 *
 *  Created on: 2020. 5. 18.
 *      Author: parkyj
 */


#include "main.h"
#include "MBIC_Bootloader.h"


void MBIC_Bootloader_FirmwareUpdate(uint8_t* data){

    uint8_t datatype = data[MBIC_PAYLOADSTART];
    printf("RX");
    for(int i = 0; i < 128; i++)
        printf("%c",*data++);
    switch(datatype){
        case MBIC_Notice_REQ:
            
        break;
        case MBIC_Download_DATA_REQ:

        break;
        case MBIC_Download_Confirm_REQ:

        break;
        case MBIC_Complete_Notice_REQ_REQ:

        break;
        case MBIC_Reboot_Notice_REQ:

        break;
    }

}
